import Taro from '@tarojs/taro';
import { View, Text, Swiper, SwiperItem, Image } from '@tarojs/components';
import './style.less'

export default (props) => {
  const { size, icon, color } = props;
  const styleIcon = {
    display: 'inline-block',
    fontSize: `${size}px`,
    color: color,

  }

  return (
    <View className={`iconfont icon-${icon}`} style={styleIcon}></View>
  )

}