Component({
  behaviors: ['wx://form-field'],
  options: {
    addGlobalClass: true,
  },
  properties: {
    name: {
      type: String
    },
    value: {
      type: undefined,
    },
    range: {
      type: Array,
    },
    rangeKey: {
      type: String,
    },
    rangeValue: {
      type: String,
    },
    placeholder: {
      type: String,
      value: '请选择'
    },
  },
  data: {
    text: undefined,
    index: undefined,
  },
  methods: {
    bindChange: function(e) {

      const index = e.detail.value
      const data = this.data.range[index]
      const value = data[this.data.rangeValue]
      const text = data[this.data.rangeKey]

      this.setData({
        index,
        text,
        value,
      })

      this.triggerEvent('change', { value, data })
    }
  }
})
